#!/usr/bin/env Rscript


# define data

sample_masked_files <- snakemake@input[["masked_sites"]]
outfile <- snakemake@output[["masked_sites"]]

# params NOT needed
#mode <- snakemake@params[["mode"]]
#threshold <- snakemake@params[["threshold"]]


# TEST TODO remove
#file <- "/home/carlus/BfR/Projects/Pipeline_test/chewieSnake/test_2020-12-01_frameshifts/cgmlst/GMI15-001-DNA/masked_loci.tsv"

mask_summary <- do.call(rbind,lapply(sample_masked_files, function(file){
  # read data
  sample_masking <- read.delim(file, stringsAsFactors = F)
  # summarize data
  count_masked_loci <- nrow(sample_masking)
  # sample name
  sample <- basename(dirname(file))
  # return 
  return(data.frame(sample=sample,count_masked_loci=count_masked_loci))
}))



# export

write.table(mask_summary,outfile, sep="\t", quote = F, row.names = F)
